{
        template: '${tmpl}',
                data: function() {
                        return {
                                searchValue: "",
                                historySearch: [],
                                hot:[],
                        }
                },
        mounted: function() {
                var obj = { type: "hot" };
                this.$root.getReq("/web/trademarktransactionCtl/findByTmType", obj).then(d => {
                        if (d && d.code == 1) {
                                this.hot = d.data;
                                console.log(this.hot);
                        }
                });
                this.$root.hidemenu();
                let { dealHistroy } = localStorage;
                if (dealHistroy && dealHistroy != "") {
                        this.historySearch = JSON.parse(dealHistroy);
                }
        },
        created: function() {

        },
        methods: {
                searchResult(data){
                        console.log(data);
                },
                clearHistory(){
                        localStorage.dealHistroy = '';
                        this.historySearch = '';
                },
                goSearch(item){

                        this.$router.push({ path: '/mobiledeallist', query: { data: item } })
                }
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobiledealsearch"
}
